import { NarikEntity, PagingParameters } from "narik-infrastructure";
import { NarikListForm, ServerResponse } from "narik-app-core";
import { OnInit, AfterViewInit, Injector } from "@angular/core";
import { TranslateService } from "@ngx-translate/core";
export declare class NarikUiListForm<T extends NarikEntity> extends NarikListForm<T> implements OnInit, AfterViewInit {
    ds: any[];
    translateService: TranslateService;
    readonly isServerSide: boolean;
    constructor(injector: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    useData(result: ServerResponse<any[]>): void;
    protected refresh(remoteDaraParams?: PagingParameters): void;
}
