(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@ngx-translate/core'), require('narik-ui-core'), require('@angular/forms'), require('rxjs/internal/operators/map'), require('rxjs/internal/operators/debounceTime'), require('rxjs/internal/operators/distinctUntilChanged'), require('rxjs/internal/operators/switchMap'), require('rxjs/internal/operators/tap'), require('rxjs/internal/operators/finalize'), require('rxjs/internal/observable/of'), require('narik-infrastructure'), require('@ng-bootstrap/ng-bootstrap'), require('@angular/common'), require('narik-app-core'), require('narik-core'), require('narik-common'), require('@angular/flex-layout'), require('@angular/animations'), require('angular2-uuid')) :
    typeof define === 'function' && define.amd ? define('narik-ui-ng-bootstrap', ['exports', '@angular/core', '@ngx-translate/core', 'narik-ui-core', '@angular/forms', 'rxjs/internal/operators/map', 'rxjs/internal/operators/debounceTime', 'rxjs/internal/operators/distinctUntilChanged', 'rxjs/internal/operators/switchMap', 'rxjs/internal/operators/tap', 'rxjs/internal/operators/finalize', 'rxjs/internal/observable/of', 'narik-infrastructure', '@ng-bootstrap/ng-bootstrap', '@angular/common', 'narik-app-core', 'narik-core', 'narik-common', '@angular/flex-layout', '@angular/animations', 'angular2-uuid'], factory) :
    (global = global || self, factory(global['narik-ui-ng-bootstrap'] = {}, global.ng.core, global.core$1, global.narikUiCore, global.ng.forms, global.rxjs['internal/operators/map'], global.rxjs['internal/operators/debounceTime'], global.rxjs['internal/operators/distinctUntilChanged'], global.rxjs['internal/operators/switchMap'], global.rxjs['internal/operators/tap'], global.rxjs['internal/operators/finalize'], global.rxjs['internal/observable/of'], global.narikInfrastructure, global.ngBootstrap, global.ng.common, global.narikAppCore, global.narikCore, global.narikCommon, global.ng['flex-layout'], global.ng.animations, global.angular2Uuid));
}(this, function (exports, core, core$1, narikUiCore, forms, map, debounceTime, distinctUntilChanged, switchMap, tap, finalize, of, narikInfrastructure, ngBootstrap, common, narikAppCore, narikCore, narikCommon, flexLayout, animations, angular2Uuid) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbAutoComplete = /** @class */ (function (_super) {
        __extends(NarikNgbAutoComplete, _super);
        function NarikNgbAutoComplete(injector) {
            var _this = _super.call(this, injector) || this;
            _this.internalChange = false;
            _this.optionData = [];
            return _this;
        }
        Object.defineProperty(NarikNgbAutoComplete.prototype, "displayValue", {
            get: /**
             * @return {?}
             */
            function () {
                return this._displayValue;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._displayValue !== value) {
                    if (!this.internalChange) {
                        this.setValue(value);
                    }
                    this._displayValue = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.loadDataOnInit = !this.isLazyLoadData;
            _super.prototype.ngOnInit.call(this);
            if (!this.isLazyLoadData) {
                this.search = (/**
                 * @param {?} text$
                 * @return {?}
                 */
                function (text$) {
                    return text$.pipe(debounceTime.debounceTime(200), distinctUntilChanged.distinctUntilChanged(), map.map((/**
                     * @param {?} term
                     * @return {?}
                     */
                    function (term) {
                        return term.length < _this.minSearchLength
                            ? []
                            : _this.optionData
                                .filter((/**
                             * @param {?} v
                             * @return {?}
                             */
                            function (v) {
                                return _this.displayField
                                    ? v[_this.displayField]
                                    : v.toLowerCase().indexOf(term.toLowerCase()) > -1;
                            }))
                                .map((/**
                             * @param {?} v
                             * @return {?}
                             */
                            function (v) { return (_this.displayField ? v[_this.displayField] : v); }))
                                .slice(0, 10);
                    })));
                });
            }
            else {
                /** @type {?} */
                var dataProviderService_1 = this.injector.get(narikInfrastructure.DataProviderService);
                /** @type {?} */
                var dataInfo_1 = this.createDataInfo();
                dataInfo_1.dataMethod = "POST";
                dataInfo_1.actionType = "COMPLETE";
                if (!dataInfo_1.moduleKey) {
                    dataInfo_1.moduleKey = this.injector.get(narikInfrastructure.MODULE_DATA_KEY);
                }
                this.search = (/**
                 * @param {?} text$
                 * @return {?}
                 */
                function (text$) {
                    return text$.pipe(debounceTime.debounceTime(200), distinctUntilChanged.distinctUntilChanged(), tap.tap((/**
                     * @param {?} filter
                     * @return {?}
                     */
                    function (filter) {
                        if (filter && filter.length >= _this.minSearchLength) {
                            _this.dataIsLoading = true;
                        }
                    })), switchMap.switchMap((/**
                     * @param {?} filter
                     * @return {?}
                     */
                    function (filter) {
                        dataInfo_1.dataParameters = {
                            filter: filter
                        };
                        return filter && filter.length >= _this.minSearchLength
                            ? dataProviderService_1.getData(dataInfo_1).pipe(tap.tap((/**
                             * @param {?} result
                             * @return {?}
                             */
                            function (result) { return (_this.optionData = result); })), finalize.finalize((/**
                             * @return {?}
                             */
                            function () { return (_this.dataIsLoading = false); })))
                            : of.of([]);
                    })));
                });
            }
        };
        /**
         * @param {?} selectedText
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.setValue = /**
         * @param {?} selectedText
         * @return {?}
         */
        function (selectedText) {
            var _this = this;
            this.internalChange = true;
            if (!this.displayField) {
                this.value = selectedText;
            }
            else {
                if (selectedText) {
                    /** @type {?} */
                    var item = this.optionData.filter((/**
                     * @param {?} x
                     * @return {?}
                     */
                    function (x) { return x[_this.displayField] === selectedText; }))[0];
                    if (item) {
                        this.value = item[this.valueField];
                    }
                    else {
                        this.value = undefined;
                    }
                }
                else {
                    this.value = undefined;
                }
            }
            this.internalChange = false;
        };
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.useData = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            this.optionData = data;
        };
        /**
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.setDisplayText = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.internalChange = true;
            if (this.value) {
                /** @type {?} */
                var item = this.optionData.filter((/**
                 * @param {?} x
                 * @return {?}
                 */
                function (x) { return x[_this.valueField] === _this.value; }))[0];
                this.displayValue = item ? item[this.displayField] : this.displayText;
            }
            else {
                this.displayValue = "";
            }
            this.internalChange = false;
        };
        /**
         * @protected
         * @param {?} newValue
         * @param {?} oldValue
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.valueChanged = /**
         * @protected
         * @param {?} newValue
         * @param {?} oldValue
         * @return {?}
         */
        function (newValue, oldValue) {
            if (newValue !== oldValue && !this.internalChange) {
                this.setDisplayText();
            }
        };
        /**
         * @return {?}
         */
        NarikNgbAutoComplete.prototype.onBlur = /**
         * @return {?}
         */
        function () {
            if (!this.isLazyLoadData) {
                this.setDisplayText();
            }
        };
        NarikNgbAutoComplete.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-autocomplete  , narik-autocomplete ",
                        template: "<div class=\"form-group\">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\r\n    <div class=\"input-group-prepend\">\r\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\r\n    </div>\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </div>\r\n  <ng-container *ngIf=\"!icon\">\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </ng-container>\r\n\r\n</div>\r\n<ng-template #inputElement>\r\n  <input (blur)=\"onBlur()\" [required]=\"required\" [(ngModel)]=\"displayValue\" [attr.disabled]=\"disabled || null\"\r\n    type=\"text\" name=\"{{name}}\" class=\"form-control\" [ngbTypeahead]=\"search\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\">\r\n  <input type=\"hidden\" name=\"{{name}}\" [(ngModel)]=\"value\">\r\n</ng-template>",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        outputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbAutoComplete; })),
                                multi: true
                            }
                        ],
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbAutoComplete.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbAutoComplete.propDecorators = {
            icon: [{ type: core.Input }]
        };
        return NarikNgbAutoComplete;
    }(narikUiCore.NarikAutoComplete));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbAutoCompleteModule = /** @class */ (function () {
        function NarikNgbAutoCompleteModule() {
        }
        NarikNgbAutoCompleteModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, ngBootstrap.NgbTypeaheadModule],
                        declarations: [NarikNgbAutoComplete],
                        exports: [NarikNgbAutoComplete],
                        providers: []
                    },] }
        ];
        return NarikNgbAutoCompleteModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbBusyIndicator = /** @class */ (function () {
        function NarikNgbBusyIndicator() {
        }
        /**
         * @param {?} newState
         * @param {?=} msg
         * @return {?}
         */
        NarikNgbBusyIndicator.prototype.setBusy = /**
         * @param {?} newState
         * @param {?=} msg
         * @return {?}
         */
        function (newState, msg) {
            this.isBusy = newState;
        };
        NarikNgbBusyIndicator.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-busy-indicator , narik-busy-indicator",
                        template: "<ng-content></ng-content>\r\n<div class=\"loading-panel\" *ngIf=\"isBusy\"></div>\r\n<div *ngIf=\"isBusy\" id=\"loader-wrapper\">\r\n  <div class=\"spinner-border text-primary\" role=\"status\">\r\n    <span class=\"sr-only\">Loading...</span>\r\n  </div>\r\n</div>\r\n",
                        providers: [
                            {
                                provide: narikAppCore.BusyIndicator,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbBusyIndicator; }))
                            }
                        ],
                        styles: [".loading-panel{width:100%;position:absolute;top:0;left:0;bottom:0;right:0;background-color:#fff;opacity:.4;z-index:50000}#loader-wrapper{width:64px;height:64px;position:absolute;left:50%;top:50%;z-index:1000;margin-left:-20px;margin-top:-20px}"]
                    }] }
        ];
        NarikNgbBusyIndicator.propDecorators = {
            isBusy: [{ type: core.Input }]
        };
        return NarikNgbBusyIndicator;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbBusyIndicatorModule = /** @class */ (function () {
        function NarikNgbBusyIndicatorModule() {
        }
        NarikNgbBusyIndicatorModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, core$1.TranslateModule],
                        declarations: [NarikNgbBusyIndicator],
                        exports: [NarikNgbBusyIndicator],
                        providers: []
                    },] }
        ];
        return NarikNgbBusyIndicatorModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbButtonComponent = /** @class */ (function (_super) {
        __extends(NarikNgbButtonComponent, _super);
        function NarikNgbButtonComponent(renderer, injector) {
            var _this = _super.call(this, injector) || this;
            _this.renderer = renderer;
            return _this;
        }
        /**
         * @param {?} event
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
        };
        /**
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
            this.buttonStyle = this.buttonStyle || this.defaultOptions.buttonStyle;
            this.busyFontIcon = this.busyFontIcon || this.defaultOptions.busyFontIcon;
        };
        /**
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () { };
        /**
         * @param {?} e
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.buttonClick = /**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            if (!this.disable && !this.isBusy) {
                this.nClick.emit({
                    sender: this,
                    event: e
                });
            }
        };
        NarikNgbButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-button , narik-button ",
                        template: "<button ngbTooltip=\"{{tooltip}}\" placement=\"bottom\" (click)=\"buttonClick($event)\" [disabled]=\"disable || isBusy\" class=\"btn btn-{{buttonStyle}}\" type=\"button\"\r\n[ngClass]='cssClass'>\r\n  <span *ngIf=\"isBusy\" class=\"mx-1 spinner-border spinner-border-sm\" role=\"status\" aria-hidden=\"true\"></span>\r\n  <i *ngIf=\"icon\" class=\"fa fa-{{icon}}\"></i>\r\n  {{ isBusy && busyLabel ? busyLabel : label}}\r\n</button>\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbButtonComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: core.Injector }
        ]; };
        NarikNgbButtonComponent.propDecorators = {
            onClick: [{ type: core.HostListener, args: ["click", ["$event"],] }]
        };
        __decorate([
            narikCore.NarikInject(narikUiCore.BUTTON_DEFAULT_OPTIONS, {
                buttonStyle: "secondary",
                busyFontIcon: "fa-spinner"
            }),
            __metadata("design:type", Object)
        ], NarikNgbButtonComponent.prototype, "defaultOptions", void 0);
        return NarikNgbButtonComponent;
    }(narikUiCore.NarikButton));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbButtonModule = /** @class */ (function () {
        function NarikNgbButtonModule() {
        }
        NarikNgbButtonModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, ngBootstrap.NgbTooltipModule],
                        declarations: [NarikNgbButtonComponent],
                        exports: [NarikNgbButtonComponent],
                        providers: []
                    },] }
        ];
        return NarikNgbButtonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBox = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBox, _super);
        function NarikNgbCheckBox(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbCheckBox.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-checkbox , narik-checkbox",
                        template: "<div class=\"form-check\">\r\n  <input [attr.disabled]=\"disabled || null\" class=\"form-check-input\" type=\"checkbox\"\r\n  [(ngModel)]=\"value\" id=\"{{id}}\">\r\n  <label class=\"form-check-label\" for=\"{{id}}\">\r\n    {{label}}\r\n  </label>\r\n</div>\r\n",
                        inputs: __spread(narikUiCore.NARIK_CHECKBOX_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbCheckBox; })),
                                multi: true
                            },
                            {
                                provide: narikUiCore.NarikCheckBox,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbCheckBox; }))
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbCheckBox.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        return NarikNgbCheckBox;
    }(narikUiCore.NarikCheckBox));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxModule = /** @class */ (function () {
        function NarikNgbCheckBoxModule() {
        }
        NarikNgbCheckBoxModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbCheckBox],
                        exports: [NarikNgbCheckBox],
                        providers: []
                    },] }
        ];
        return NarikNgbCheckBoxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxList = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBoxList, _super);
        function NarikNgbCheckBoxList(injector) {
            var _this = _super.call(this, injector) || this;
            _this.itemsData = [];
            _this._layoutDirection = "vertical";
            return _this;
        }
        Object.defineProperty(NarikNgbCheckBoxList.prototype, "layoutDirection", {
            get: /**
             * @return {?}
             */
            function () {
                return this._layoutDirection;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._layoutDirection = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgbCheckBoxList.prototype.useData = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            this.itemsData = data;
        };
        NarikNgbCheckBoxList.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-checkbox-list , narik-checkbox-list",
                        template: "<div class=\"form-group\">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n  <div class=\"form-check-container p-1 pl-2\">\r\n    <div [ngClass]=\"{ 'vertical-content': layoutDirection == 'vertical' }\">\r\n      <narik-checkbox *ngFor=\"let item of itemsData\" (Change)=\"addOrRemove(valueField ? item[valueField] : item)\"\r\n        [tag]=\"valueField ? item[valueField] : item\" label=\"{{ item[displayField] }}\">\r\n      </narik-checkbox>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbCheckBoxList; })),
                                multi: true
                            }
                        ],
                        styles: [".form-check-container{border:1px solid #ced4da;border-radius:.25rem}"]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbCheckBoxList.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbCheckBoxList.propDecorators = {
            layoutDirection: [{ type: core.Input }]
        };
        return NarikNgbCheckBoxList;
    }(narikUiCore.NarikCheckBoxList));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxListModule = /** @class */ (function () {
        function NarikNgbCheckBoxListModule() {
        }
        NarikNgbCheckBoxListModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbCheckBoxModule
                        ],
                        declarations: [NarikNgbCheckBoxList],
                        exports: [NarikNgbCheckBoxList],
                        providers: []
                    },] }
        ];
        return NarikNgbCheckBoxListModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDataTable = /** @class */ (function (_super) {
        __extends(NarikNgbDataTable, _super);
        function NarikNgbDataTable(injector, changeDetector, document) {
            var _this = _super.call(this, injector) || this;
            _this.changeDetector = changeDetector;
            _this.document = document;
            return _this;
        }
        NarikNgbDataTable.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-data-table , narik-data-table",
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDataTable.ctorParameters = function () { return [
            { type: core.Injector },
            { type: core.ChangeDetectorRef },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        return NarikNgbDataTable;
    }(narikUiCore.NarikDataTable));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDataTableModule = /** @class */ (function () {
        function NarikNgbDataTableModule() {
        }
        NarikNgbDataTableModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, core$1.TranslateModule],
                        declarations: [NarikNgbDataTable],
                        exports: [NarikNgbDataTable],
                        providers: []
                    },] }
        ];
        return NarikNgbDataTableModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDatePicker = /** @class */ (function (_super) {
        __extends(NarikNgbDatePicker, _super);
        function NarikNgbDatePicker(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbDatePicker.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-date-picker , narik-date-picker",
                        template: "<div class=\"form-group\">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n\r\n  <div class=\"input-group\">\r\n    <input [required]=\"required\" [attr.disabled]=\"disabled || null\" class=\"form-control\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\" name=\"dp\"\r\n      [(ngModel)]=\"value\" ngbDatepicker #d=\"ngbDatepicker\">\r\n    <div class=\"input-group-append\">\r\n      <button class=\"btn btn-outline-secondary\" (click)=\"d.toggle()\" type=\"button\">\r\n        <i class=\"fa fa-calendar-alt\" aria-hidden=\"true\"></i>\r\n      </button>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n",
                        inputs: __spread(narikUiCore.NARIK_DATE_PICKER_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbDatePicker; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDatePicker.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        return NarikNgbDatePicker;
    }(narikUiCore.NarikDatePicker));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDatePickerModule = /** @class */ (function () {
        function NarikNgbDatePickerModule() {
        }
        NarikNgbDatePickerModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, ngBootstrap.NgbDatepickerModule, core$1.TranslateModule],
                        declarations: [NarikNgbDatePicker],
                        exports: [NarikNgbDatePicker],
                        providers: [{ provide: ngBootstrap.NgbDateAdapter, useClass: ngBootstrap.NgbDateNativeAdapter }]
                    },] }
        ];
        return NarikNgbDatePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInput = /** @class */ (function (_super) {
        __extends(NarikNgbInput, _super);
        function NarikNgbInput(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgbInput.prototype, "icon", {
            get: /**
             * @return {?}
             */
            function () {
                return this._icon;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._icon = value;
            },
            enumerable: true,
            configurable: true
        });
        NarikNgbInput.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-input , narik-input",
                        template: "<div class=\"form-group \">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\r\n    <div class=\"input-group-prepend\">\r\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\r\n    </div>\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </div>\r\n  <ng-container *ngIf=\"!icon\">\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </ng-container>\r\n\r\n</div>\r\n<ng-template #inputElement>\r\n  <input [(ngModel)]=\"value\" [attr.disabled]=\"disabled || null\" type=\"{{type}}\" name=\"{{name}}\" [required]=\"required\"\r\n    class=\"form-control\" id=\"{{id}}\" placeholder=\"{{placeHolder}}\">\r\n</ng-template>",
                        inputs: __spread(narikUiCore.NARIK_INPUT_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbInput; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbInput.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbInput.propDecorators = {
            icon: [{ type: core.Input }]
        };
        return NarikNgbInput;
    }(narikUiCore.NarikInput));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInputModule = /** @class */ (function () {
        function NarikNgbInputModule() {
        }
        NarikNgbInputModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbInput],
                        exports: [NarikNgbInput],
                        providers: []
                    },] }
        ];
        return NarikNgbInputModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbRadioGroup = /** @class */ (function (_super) {
        __extends(NarikNgbRadioGroup, _super);
        function NarikNgbRadioGroup(injector) {
            var _this = _super.call(this, injector) || this;
            _this.itemsData = [];
            _this._layoutDirection = "vertical";
            return _this;
        }
        Object.defineProperty(NarikNgbRadioGroup.prototype, "layoutDirection", {
            get: /**
             * @return {?}
             */
            function () {
                return this._layoutDirection;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._layoutDirection = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgbRadioGroup.prototype.useData = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            this.itemsData = data;
        };
        NarikNgbRadioGroup.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-radio-group , narik-radio-group",
                        template: "<div class=\"form-group\">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n  <div class=\"form-check-container p-1 pl-2\">\r\n    <div class=\"form-check \" [ngClass]=\"{'form-check-inline': layoutDirection==='horizontal'}\"\r\n      *ngFor=\"let item of itemsData;let i=index\">\r\n      <input [required]=\"required\" [attr.disabled]=\"disabled || null\" class=\"form-check-input\" type=\"radio\" name=\"{{name}}\" id=\"{{id+i}}\"\r\n        value=\"{{item[valueField]}}\" checked>\r\n      <label class=\"form-check-label\" for=\"{{id+i}}\">\r\n        {{item[displayField]}}\r\n      </label>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbRadioGroup; })),
                                multi: true
                            }
                        ],
                        styles: [".form-check-container{border:1px solid #ced4da;border-radius:.25rem}"]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbRadioGroup.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbRadioGroup.propDecorators = {
            layoutDirection: [{ type: core.Input }]
        };
        return NarikNgbRadioGroup;
    }(narikUiCore.NarikRadioGroup));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbRadioGroupModule = /** @class */ (function () {
        function NarikNgbRadioGroupModule() {
        }
        NarikNgbRadioGroupModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbRadioGroup],
                        exports: [NarikNgbRadioGroup],
                        providers: []
                    },] }
        ];
        return NarikNgbRadioGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbSelect = /** @class */ (function (_super) {
        __extends(NarikNgbSelect, _super);
        function NarikNgbSelect(injector) {
            var _this = _super.call(this, injector) || this;
            _this.optionData = [];
            return _this;
        }
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgbSelect.prototype.useData = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            this.optionData = data;
        };
        NarikNgbSelect.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-select , narik-select",
                        template: "<div class=\"form-group\">\r\n  <label for=\"{{id}}\">{{label}}</label>\r\n  <div class=\"input-group mb-3\" *ngIf=\"icon\">\r\n    <div class=\"input-group-prepend\">\r\n      <span class=\"input-group-text\"><i class=\"fa fa-{{icon}}\"></i></span>\r\n    </div>\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </div>\r\n  <ng-container *ngIf=\"!icon\">\r\n    <ng-container *ngTemplateOutlet=\"inputElement\"></ng-container>\r\n  </ng-container>\r\n\r\n</div>\r\n<ng-template #inputElement>\r\n\r\n  <select [required]=\"required\" class=\"custom-select\" [(ngModel)]=\"value\" [attr.disabled]=\"disabled || null\"\r\n    id=\"{{id}}\">\r\n    <option *ngFor=\"let item of optionData\" [value]=\"item[valueField]\">{{item[displayField]}}</option>\r\n  </select>\r\n\r\n\r\n\r\n</ng-template>",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS, narikUiCore.NARIK_SELECT_INPUTS),
                        outputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbSelect; })),
                                multi: true
                            }
                        ],
                        styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbSelect.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbSelect.propDecorators = {
            icon: [{ type: core.Input }]
        };
        return NarikNgbSelect;
    }(narikUiCore.NarikSelect));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbSelectModule = /** @class */ (function () {
        function NarikNgbSelectModule() {
        }
        NarikNgbSelectModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbSelect],
                        exports: [NarikNgbSelect],
                        providers: []
                    },] }
        ];
        return NarikNgbSelectModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDynamicForm = /** @class */ (function (_super) {
        __extends(NarikNgbDynamicForm, _super);
        function NarikNgbDynamicForm(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.columnWidth = 100;
            _this.fieldsArray = new Map();
            return _this;
        }
        /**
         * @return {?}
         */
        NarikNgbDynamicForm.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            if (this.columnsCount === 1) {
                this.layoutGap = 0;
            }
            if (this.groupFields) {
                /** @type {?} */
                var data = narikCommon.groupBy(this.fields, "options.groupIndex");
                data.forEach((/**
                 * @param {?} x
                 * @return {?}
                 */
                function (x) {
                    return _this.fieldsArray.set(x.key && x.key !== "undefined" ? +x.key : 0, x.value);
                }));
                this.groupCount =
                    Math.max.apply(Math, __spread(this.fieldsArray.entriesArray().map((/**
                     * @param {?} x
                     * @return {?}
                     */
                    function (x) { return x.key; })))) + 1;
            }
            this.columnWidth = 100 / this.columnsCount;
        };
        NarikNgbDynamicForm.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-dynamic-form , narik-ngb-dynamic-form",
                        template: "<div [tab-guard]=\"activeTabGuard\" [auto-focus]=\"activeAutoFocus\" [autoFocusContainerName]=\"defaultFocusField\"\r\n  fxLayout=\"{{columnsCount === 1 ? 'column' : 'row wrap'}} \" fxLayout.xs=\"column\" fxLayoutGap.xs=\"0\"\r\n  fxLayoutGap=\"{{ layoutGap }}px\" fxLayoutAlign=\"flex-start\">\r\n  <ng-container *ngIf=\"!groupFields\">\r\n    <div fxFlex.lt-sm=\"100%\" fxFlex.lt-xl=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\"\r\n      fxFlex.lt-md=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\" *ngFor=\"let item of fields; let i = index\">\r\n      <ng-container *ngTemplateOutlet=\"\r\n          fieldContainer;\r\n          context: {\r\n            $implicit: item,\r\n            invisibleItems: invisibleItems,\r\n            disableItems: disableItems,\r\n            model: model\r\n          }\r\n        \"></ng-container>\r\n    </div>\r\n  </ng-container>\r\n  <ng-container *ngIf=\"groupFields\">\r\n    <div fxFlex.lt-sm=\"100%\" fxFlex.lt-xl=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\"\r\n      fxFlex.lt-md=\"0 1 calc({{ columnWidth }}% - {{ layoutGap }}px)\"\r\n      *ngFor=\"let item of [].constructor(groupCount); let i = index\">\r\n      <div fxLayout=\"column\" class=\"narik-form-group\">\r\n        <div *ngFor=\"let item of fieldsArray.get(i); let j = index\">\r\n          <ng-container *ngTemplateOutlet=\"\r\n              fieldContainer;\r\n              context: {\r\n                $implicit: item,\r\n                invisibleItems: invisibleItems,\r\n                disableItems: disableItems,\r\n                model: model\r\n              }\r\n            \"></ng-container>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </ng-container>\r\n</div>\r\n\r\n<ng-template #fieldContainer let-item let-invisibleItems=\"invisibleItems\" let-model=\"model\"\r\n  let-disableItems=\"disableItems\">\r\n  <ng-container *ngIf=\"!item.hideExpr || !invisibleItems[item.name]\">\r\n    <ng-container *ngIf=\"\r\n        !item.type ||\r\n        item.type == 'text' ||\r\n        item.type == 'number' ||\r\n        item.type == 'time' ||\r\n        item.type == 'textArea' ||\r\n        item.type == 'password'\r\n      \">\r\n      <narik-input [name]=\"item.name\" [disabled]=\"item.disableExpr && disableItems[item.name]\"\r\n        [required]=\"item.required\" placeHolder=\"{{ item.options.placeHolder | translate }}\" [type]=\"item.type || 'text'\"\r\n        label=\"{{ item.label | translate }}\" [(ngModel)]=\"model[item.model]\" [options]=\"item.options\"\r\n        [narikValidator]=\"item.validators\" [narikValidatorParams]=\"item.validatorParams\">\r\n      </narik-input>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'boolean'\">\r\n      <narik-checkbox [name]=\"item.name\" [disabled]=\"item.disableExpr && disableItems[item.name]\"\r\n        [options]=\"item.options\" [(ngModel)]=\"model[item.model]\" label=\"{{ item.label | translate }}\"\r\n        [narikValidator]=\"item.validators\" [narikValidatorParams]=\"item.validatorParams\">\r\n      </narik-checkbox>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'date'\">\r\n      <narik-date-picker [options]=\"item.options\" [disabled]=\"item.disableExpr && disableItems[item.name]\"\r\n        [name]=\"item.name\" [required]=\"item.required\" placeHolder=\"{{ item.options.placeHolder | translate }}\"\r\n        [(ngModel)]=\"model[item.model]\" label=\"{{ item.label | translate }}\" [narikValidator]=\"item.validators\"\r\n        [narikValidatorParams]=\"item.validatorParams\"></narik-date-picker>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'select'\">\r\n      <narik-select [options]=\"item.options\" [name]=\"item.name\" [disabled]=\"item.disableExpr && disableItems[item.name]\"\r\n        [required]=\"item.required\" placeHolder=\"{{ item.options.placeHolder | translate }}\" [dataInfo]=\"item.dataInfo\"\r\n        label=\"{{ item.label | translate }}\" [(ngModel)]=\"model[item.model]\" [narikValidator]=\"item.validators\"\r\n        [narikValidatorParams]=\"item.validatorParams\"></narik-select>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'autoComplete'\">\r\n      <narik-autocomplete [options]=\"item.options\" [name]=\"item.name\"\r\n        [disabled]=\"item.disableExpr && disableItems[item.name]\" [required]=\"item.required\"\r\n        placeHolder=\"{{ item.options.placeHolder | translate }}\" [minSearchLength]=\"item.options.minSearchLength || 0\"\r\n        [isLazyLoadData]=\"item.options.isLazyLoadData\" [dataInfo]=\"item.dataInfo\" label=\"{{ item.label | translate }}\"\r\n        [(ngModel)]=\"model[item.model]\" [narikValidator]=\"item.validators\"\r\n        [narikValidatorParams]=\"item.validatorParams\"></narik-autocomplete>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'radio'\">\r\n      <narik-radio-group [options]=\"item.options\" [name]=\"item.name\"\r\n        [disabled]=\"item.disableExpr && disableItems[item.name]\" [required]=\"item.required\"\r\n        placeHolder=\"{{ item.options.placeHolder | translate }}\" [dataInfo]=\"item.dataInfo\"\r\n        label=\"{{ item.label | translate }}\" [(ngModel)]=\"model[item.model]\" [narikValidator]=\"item.validators\"\r\n        [narikValidatorParams]=\"item.validatorParams\"></narik-radio-group>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'checkList'\">\r\n      <narik-checkbox-list [options]=\"item.options\" [name]=\"item.name\"\r\n        [disabled]=\"item.disableExpr && disableItems[item.name]\" [required]=\"item.required\"\r\n        placeHolder=\"{{ item.options.placeHolder | translate }}\" [dataInfo]=\"item.dataInfo\"\r\n        label=\"{{ item.label | translate }}\" [(ngModel)]=\"model[item.model]\" [narikValidator]=\"item.validators\"\r\n        [narikValidatorParams]=\"item.validatorParams\"></narik-checkbox-list>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"item.type == 'table-select'\">\r\n\r\n    </ng-container>\r\n  </ng-container>\r\n</ng-template>",
                        providers: [
                            {
                                provide: narikUiCore.NarikDynamicForm,
                                useExisting: core.forwardRef((/**
                                 * @return {?}
                                 */
                                function () { return NarikNgbDynamicForm; }))
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDynamicForm.ctorParameters = function () { return [
            { type: core.Injector },
            { type: core.ViewContainerRef }
        ]; };
        return NarikNgbDynamicForm;
    }(narikUiCore.NarikDynamicForm));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDynamicFormModule = /** @class */ (function () {
        function NarikNgbDynamicFormModule() {
        }
        NarikNgbDynamicFormModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            core$1.TranslateModule,
                            NarikNgbInputModule,
                            NarikNgbSelectModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbDatePickerModule,
                            NarikNgbCheckBoxListModule,
                            narikCommon.NarikCommonModule,
                            flexLayout.FlexLayoutModule
                        ],
                        declarations: [NarikNgbDynamicForm],
                        exports: [NarikNgbDynamicForm],
                        providers: []
                    },] }
        ];
        return NarikNgbDynamicFormModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDialogContainer = /** @class */ (function (_super) {
        __extends(NarikNgbDialogContainer, _super);
        function NarikNgbDialogContainer() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @return {?}
         */
        NarikNgbDialogContainer.prototype.ngOnInit = /**
         * @return {?}
         */
        function () { };
        NarikNgbDialogContainer.decorators = [
            { type: core.Component, args: [{
                        template: "<div [@openClose]=\"isOpen ? 'open' : 'closed'\" (@openClose.done)=\"_onAnimationDone($event)\" class=\"modal-content\"\r\n  cdkDrag [tab-guard]=\"true\">\r\n  <div class=\"modal-header\">\r\n    <h5 cdkDragHandle class=\"modal-title\">{{ title | translate }}</h5>\r\n  </div>\r\n\r\n  <div class=\"modal-body\">\r\n    <ng-template narik-loader-host></ng-template>\r\n  </div>\r\n\r\n  <div class=\"modal-footer\" [auto-focus]=\"true\" [autoFocusContainerName]=\"options.defaultAction\"\r\n    *ngIf=\"actions && actions.length!==0\" align=\"end\">\r\n    <ng-container *ngFor=\"let item of actions\">\r\n      <ng-container>\r\n        <narik-button cssClass=\"btn-sm\" [attr.narik-form-item-key]=\"item.dialogResult\" class=\"mr-2\"\r\n          (nClick)=\"actionClick(item)\" [color]=\"item.color\" [icon]=\"item.icon\"\r\n          label=\"{{'dialog-buttons.'+item.label | translate}}\"></narik-button>\r\n      </ng-container>\r\n    </ng-container>\r\n  </div>\r\n</div>",
                        animations: [animations.trigger("openClose", narikCore.DialogAnimationBody)],
                        styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
                    }] }
        ];
        return NarikNgbDialogContainer;
    }(narikCore.NarikDialogContainer));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInputDialog = /** @class */ (function () {
        function NarikNgbInputDialog() {
            this.entity = {};
            this.fields = [];
        }
        /**
         * @return {?}
         */
        NarikNgbInputDialog.prototype.ngOnInit = /**
         * @return {?}
         */
        function () { };
        NarikNgbInputDialog.decorators = [
            { type: core.Component, args: [{
                        template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbInputDialog.ctorParameters = function () { return []; };
        return NarikNgbInputDialog;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbMessageDialog = /** @class */ (function () {
        function NarikNgbMessageDialog() {
        }
        /**
         * @return {?}
         */
        NarikNgbMessageDialog.prototype.ngOnInit = /**
         * @return {?}
         */
        function () { };
        NarikNgbMessageDialog.decorators = [
            { type: core.Component, args: [{
                        template: "<div class=\"message-container\">{{message | translate}}</div>\r\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbMessageDialog.ctorParameters = function () { return []; };
        return NarikNgbMessageDialog;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ɵ0 = NarikNgbDialogContainer, ɵ1 = NarikNgbMessageDialog, ɵ2 = NarikNgbInputDialog;
    var NarikNgbDialogModule = /** @class */ (function () {
        function NarikNgbDialogModule() {
        }
        NarikNgbDialogModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            core$1.TranslateModule,
                            narikCommon.NarikCommonModule,
                            NarikNgbButtonModule,
                            NarikNgbDynamicFormModule
                        ],
                        declarations: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ],
                        exports: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ],
                        providers: [
                            {
                                provide: narikInfrastructure.DIALOG_CONTAINER,
                                useValue: ɵ0
                            },
                            {
                                provide: narikInfrastructure.DIALOG_MESSAGE_COMPONENT,
                                useValue: ɵ1
                            },
                            {
                                provide: narikInfrastructure.DIALOG_INPUT_COMPONENT,
                                useValue: ɵ2
                            }
                        ],
                        entryComponents: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ]
                    },] }
        ];
        return NarikNgbDialogModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbTreeview = /** @class */ (function (_super) {
        __extends(NarikNgbTreeview, _super);
        function NarikNgbTreeview(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgbTreeview.prototype, "selectedItem", {
            get: /**
             * @return {?}
             */
            function () {
                return this._selectedItem;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._selectedItem = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgbTreeview.prototype.addNode = /**
         * @param {?} selectedNode
         * @return {?}
         */
        function (selectedNode) {
            throw new Error("Method not implemented.");
        };
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgbTreeview.prototype.deleteNode = /**
         * @param {?} selectedNode
         * @return {?}
         */
        function (selectedNode) {
            throw new Error("Method not implemented.");
        };
        NarikNgbTreeview.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-treeview narik-treeview",
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        NarikNgbTreeview.ctorParameters = function () { return [
            { type: core.Injector }
        ]; };
        NarikNgbTreeview.propDecorators = {
            newNodeTitle: [{ type: core.Input }]
        };
        return NarikNgbTreeview;
    }(narikUiCore.NarikTreeview));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbToolBar = /** @class */ (function (_super) {
        __extends(NarikNgbToolBar, _super);
        function NarikNgbToolBar(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.uniqueId = "";
            _this.toolbarItems = [];
            _this.uniqueId = "toolbar" + angular2Uuid.UUID.UUID();
            return _this;
        }
        /**
         * @return {?}
         */
        NarikNgbToolBar.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var e_1, _a, e_2, _b, e_3, _c;
            _super.prototype.ngOnInit.call(this);
            /** @type {?} */
            var isnewGroup = false;
            /** @type {?} */
            var toolBarGroup = [];
            try {
                for (var _d = __values(this.items), _e = _d.next(); !_e.done; _e = _d.next()) {
                    var item = _e.value;
                    if (item.itemType === "divider") {
                        isnewGroup = true;
                    }
                    if (item.itemType !== "divider") {
                        toolBarGroup.push(item);
                    }
                    if (isnewGroup) {
                        this.toolbarItems.push(__spread(toolBarGroup));
                        toolBarGroup = [];
                    }
                    isnewGroup = false;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_e && !_e.done && (_a = _d.return)) _a.call(_d);
                }
                finally { if (e_1) throw e_1.error; }
            }
            if (toolBarGroup.length !== 0) {
                this.toolbarItems.push(toolBarGroup);
            }
            try {
                for (var _f = __values(this.toolbarItems), _g = _f.next(); !_g.done; _g = _f.next()) {
                    var group = _g.value;
                    /** @type {?} */
                    var index = 0;
                    try {
                        for (var group_1 = __values(group), group_1_1 = group_1.next(); !group_1_1.done; group_1_1 = group_1.next()) {
                            var item = group_1_1.value;
                            /** @type {?} */
                            var cssClass = "";
                            if (index !== 0) {
                                cssClass += " btn-not-first-child";
                            }
                            if (index !== group.length - 1) {
                                cssClass += " btn-not-last-child";
                            }
                            item.cssClass = (item.cssClass || "") + cssClass;
                            index++;
                        }
                    }
                    catch (e_3_1) { e_3 = { error: e_3_1 }; }
                    finally {
                        try {
                            if (group_1_1 && !group_1_1.done && (_c = group_1.return)) _c.call(group_1);
                        }
                        finally { if (e_3) throw e_3.error; }
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_g && !_g.done && (_b = _f.return)) _b.call(_f);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        NarikNgbToolBar.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-toolbar , narik-ngb-toolbar",
                        template: "<div class=\"btn-toolbar\"  role=\"toolbar\" aria-label=\"Toolbar with button groups\">\r\n  <div class=\"btn-group mr-1\" *ngFor=\"let group of toolbarItems\" role=\"group\" aria-label=\"First group\">\r\n    <ng-container *ngFor='let item of group;let i=index'>\r\n      <ng-container *ngIf=\"item.itemType==='button'\">\r\n        <narik-button class=\"toolbar-btn\" *ngIf='!item.hideExpr || !invisibleItems[item.key]'\r\n          [disable]=\"item.disableExpr && disableItems[item.key]\" [isBusy]=\"item.busyExpr && busyItems[item.key]\"\r\n          [cssClass]=\"item.cssClass\"\r\n          (nClick)=\"itemCommand(item)\" [buttonStyle]='\"secondary\"' [icon]=\"item.icon\"\r\n          tooltip=\"{{ item.hint | translate}}\"\r\n          [label]=\"showLabel ? item.label : ''\"></narik-button>\r\n      </ng-container>\r\n    </ng-container>\r\n  </div>\r\n</div>\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbToolBar.ctorParameters = function () { return [
            { type: core.Injector },
            { type: core.ViewContainerRef }
        ]; };
        return NarikNgbToolBar;
    }(narikUiCore.NarikToolBar));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbToolbarModule = /** @class */ (function () {
        function NarikNgbToolbarModule() {
        }
        NarikNgbToolbarModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbButtonModule,
                            core$1.TranslateModule
                        ],
                        declarations: [NarikNgbToolBar],
                        exports: [NarikNgbToolBar],
                        providers: []
                    },] }
        ];
        return NarikNgbToolbarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbTreeviewModule = /** @class */ (function () {
        function NarikNgbTreeviewModule() {
        }
        NarikNgbTreeviewModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbToolbarModule,
                            core$1.TranslateModule
                        ],
                        declarations: [NarikNgbTreeview],
                        exports: [NarikNgbTreeview],
                        providers: []
                    },] }
        ];
        return NarikNgbTreeviewModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCoreModule = /** @class */ (function () {
        function NarikNgbCoreModule() {
        }
        NarikNgbCoreModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [],
                        exports: [],
                        providers: []
                    },] }
        ];
        return NarikNgbCoreModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikUiNgBootstrapModule = /** @class */ (function () {
        function NarikUiNgBootstrapModule() {
        }
        NarikUiNgBootstrapModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            core$1.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule
                        ],
                        declarations: [],
                        exports: [
                            core$1.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule
                        ],
                        providers: []
                    },] }
        ];
        return NarikUiNgBootstrapModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var NarikUiListForm = /** @class */ (function (_super) {
        __extends(NarikUiListForm, _super);
        function NarikUiListForm(injector) {
            var _this = _super.call(this, injector) || this;
            _this.ds = [];
            _this.hasDataSource = false;
            return _this;
        }
        Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
            get: /**
             * @return {?}
             */
            function () {
                return this.config && this.config.isServerSideData ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
            if (this.fields) ;
            if (this.config) {
                if (this.isServerSide) ;
            }
        };
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () { };
        /**
         * @param {?} result
         * @return {?}
         */
        NarikUiListForm.prototype.useData = /**
         * @param {?} result
         * @return {?}
         */
        function (result) {
            this.dataSource = (/** @type {?} */ (result.data));
        };
        /**
         * @protected
         * @param {?=} remoteDaraParams
         * @return {?}
         */
        NarikUiListForm.prototype.refresh = /**
         * @protected
         * @param {?=} remoteDaraParams
         * @return {?}
         */
        function (remoteDaraParams) {
            if (!this.isServerSide) {
                this.getEntities();
            }
        };
        __decorate([
            narikCore.NarikInject(core$1.TranslateService),
            __metadata("design:type", core$1.TranslateService)
        ], NarikUiListForm.prototype, "translateService", void 0);
        return NarikUiListForm;
    }(narikAppCore.NarikListForm));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var NarikUiDetailForm = /** @class */ (function (_super) {
        __extends(NarikUiDetailForm, _super);
        function NarikUiDetailForm(injector) {
            return _super.call(this, injector) || this;
        }
        /**
         * @return {?}
         */
        NarikUiDetailForm.prototype.submit = /**
         * @return {?}
         */
        function () {
            if (this.formElement) {
                this.renderer.addClass(this.formElement.nativeElement, "was-validated");
            }
            _super.prototype.submit.call(this);
        };
        __decorate([
            narikCore.NarikInject(core.Renderer2),
            __metadata("design:type", core.Renderer2)
        ], NarikUiDetailForm.prototype, "renderer", void 0);
        return NarikUiDetailForm;
    }(narikAppCore.NarikDetailForm));

    exports.NarikNgbAutoComplete = NarikNgbAutoComplete;
    exports.NarikNgbAutoCompleteModule = NarikNgbAutoCompleteModule;
    exports.NarikNgbBusyIndicator = NarikNgbBusyIndicator;
    exports.NarikNgbBusyIndicatorModule = NarikNgbBusyIndicatorModule;
    exports.NarikNgbButtonComponent = NarikNgbButtonComponent;
    exports.NarikNgbButtonModule = NarikNgbButtonModule;
    exports.NarikNgbCheckBox = NarikNgbCheckBox;
    exports.NarikNgbCheckBoxList = NarikNgbCheckBoxList;
    exports.NarikNgbCheckBoxListModule = NarikNgbCheckBoxListModule;
    exports.NarikNgbCheckBoxModule = NarikNgbCheckBoxModule;
    exports.NarikNgbCoreModule = NarikNgbCoreModule;
    exports.NarikNgbDataTable = NarikNgbDataTable;
    exports.NarikNgbDataTableModule = NarikNgbDataTableModule;
    exports.NarikNgbDatePicker = NarikNgbDatePicker;
    exports.NarikNgbDatePickerModule = NarikNgbDatePickerModule;
    exports.NarikNgbDialogContainer = NarikNgbDialogContainer;
    exports.NarikNgbDialogModule = NarikNgbDialogModule;
    exports.NarikNgbDynamicForm = NarikNgbDynamicForm;
    exports.NarikNgbDynamicFormModule = NarikNgbDynamicFormModule;
    exports.NarikNgbInput = NarikNgbInput;
    exports.NarikNgbInputDialog = NarikNgbInputDialog;
    exports.NarikNgbInputModule = NarikNgbInputModule;
    exports.NarikNgbMessageDialog = NarikNgbMessageDialog;
    exports.NarikNgbRadioGroup = NarikNgbRadioGroup;
    exports.NarikNgbRadioGroupModule = NarikNgbRadioGroupModule;
    exports.NarikNgbSelect = NarikNgbSelect;
    exports.NarikNgbSelectModule = NarikNgbSelectModule;
    exports.NarikNgbToolBar = NarikNgbToolBar;
    exports.NarikNgbToolbarModule = NarikNgbToolbarModule;
    exports.NarikNgbTreeview = NarikNgbTreeview;
    exports.NarikNgbTreeviewModule = NarikNgbTreeviewModule;
    exports.NarikUiDetailForm = NarikUiDetailForm;
    exports.NarikUiListForm = NarikUiListForm;
    exports.NarikUiNgBootstrapModule = NarikUiNgBootstrapModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=narik-ui-ng-bootstrap.umd.js.map
